%global pypi_name django-redis
%global modname django_redis

Name:           python-%{pypi_name}
Version:        5.2.0
Release:        %mkrel 1
Summary:        Full featured redis cache backend for Django
License:        BSD
URL:            https://github.com/niwinz/django-redis
Source0:        https://github.com/niwinz/%{pypi_name}/archive/%{version}.tar.gz#/%{pypi_name}-%{version}.tar.gz
BuildArch:      noarch
 
%description
Full featured redis cache backend for Django.

%package -n     python3-%{pypi_name}
Summary:        Full featured redis cache backend for Django
%{?python_provide:%python_provide python3-%{pypi_name}}

BuildRequires:  python3-devel
BuildRequires:  python3-setuptools
BuildRequires:  python3-django
Requires:       python3-django
Requires:       python3-redis >= 2.10.0

%description -n python3-%{pypi_name}
Full featured redis cache backend for Django.

%prep
%autosetup -n %{pypi_name}-%{version}
# Remove bundled egg-info
rm -rf %{pypi_name}.egg-info

%build
%py3_build

%install
%py3_install

%files -n python3-%{pypi_name}
%doc README.rst
%license LICENSE
%{python3_sitelib}/%{modname}
%{python3_sitelib}/django_redis-%{version}-py%{python3_version}.egg-info
